Package org.apache.wiki.providers

# Class NoSuchVersionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.wiki.api.exceptions.WikiException
org.apache.wiki.api.exceptions.ProviderException
org.apache.wiki.providers.NoSuchVersionException

All Implemented Interfaces:
  `Serializable`

public class NoSuchVersionException extends org.apache.wiki.api.exceptions.ProviderException
Indicates that an non-existing version was specified.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NoSuchVersionException(String msg)`
Creates a ProviderException.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NoSuchVersionException

public NoSuchVersionException(String msg)
Creates a ProviderException.

Parameters:
  `msg` - the exception message.